<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="de">
<head>
<!-- Generated by javadoc -->
<meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1">
<title>FileHandler (Apache Commons Configuration 2.2 API)</title>
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="FileHandler (Apache Commons Configuration 2.2 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":9,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10,"i14":10,"i15":10,"i16":10,"i17":10,"i18":10,"i19":10,"i20":10,"i21":10,"i22":10,"i23":10,"i24":10,"i25":10,"i26":10,"i27":10,"i28":10,"i29":10,"i30":10,"i31":10,"i32":10,"i33":10,"i34":10,"i35":10,"i36":10,"i37":10,"i38":10,"i39":10};
var tabs = {65535:["t0","All Methods"],1:["t1","Static Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileHandler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/io/FileBased.html" title="interface in org.apache.commons.configuration2.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html" title="interface in org.apache.commons.configuration2.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/io/FileHandler.html" target="_top">Frames</a></li>
<li><a href="FileHandler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.apache.commons.configuration2.io</div>
<h2 title="Class FileHandler" class="title">Class FileHandler</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li>org.apache.commons.configuration2.io.FileHandler</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<hr>
<br>
<pre>public class <span class="typeNameLabel">FileHandler</span>
extends <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></pre>
<div class="block"><p>
 A class that manages persistence of an associated <a href="../../../../../org/apache/commons/configuration2/io/FileBased.html" title="interface in org.apache.commons.configuration2.io"><code>FileBased</code></a> object.
 </p>
 <p>
 Instances of this class can be used to load and save arbitrary objects
 implementing the <code>FileBased</code> interface in a convenient way from and to
 various locations. At construction time the <code>FileBased</code> object to
 manage is passed in. Basically, this object is assigned a location from which
 it is loaded and to which it can be saved. The following possibilities exist
 to specify such a location:
 </p>
 <ul>
 <li>URLs: With the method <code>setURL()</code> a full URL to the configuration
 source can be specified. This is the most flexible way. Note that the
 <code>save()</code> methods support only <em>file:</em> URLs.</li>
 <li>Files: The <code>setFile()</code> method allows to specify the configuration
 source as a file. This can be either a relative or an absolute file. In the
 former case the file is resolved based on the current directory.</li>
 <li>As file paths in string form: With the <code>setPath()</code> method a full
 path to a configuration file can be provided as a string.</li>
 <li>Separated as base path and file name: The base path is a string defining
 either a local directory or a URL. It can be set using the
 <code>setBasePath()</code> method. The file name, non surprisingly, defines the
 name of the configuration file.</li>
 </ul>
 <p>
 An instance stores a location. The <code>load()</code> and <code>save()</code> methods
 that do not take an argument make use of this internal location.
 Alternatively, it is also possible to use overloaded variants of
 <code>load()</code> and <code>save()</code> which expect a location. In these cases the
 location specified takes precedence over the internal one; the internal
 location is not changed.
 </p>
 <p>
 The actual position of the file to be loaded is determined by a
 <a href="../../../../../org/apache/commons/configuration2/io/FileLocationStrategy.html" title="interface in org.apache.commons.configuration2.io"><code>FileLocationStrategy</code></a> based on the location information that has been
 provided. By providing a custom location strategy the algorithm for searching
 files can be adapted. Save operations require more explicit information. They
 cannot rely on a location strategy because the file to be written may not yet
 exist. So there may be some differences in the way location information is
 interpreted by load and save operations. In order to avoid this, the
 following approach is recommended:
 </p>
 <ul>
 <li>Use the desired <code>setXXX()</code> methods to define the location of the
 file to be loaded.</li>
 <li>Call the <code>locate()</code> method. This method resolves the referenced
 file (if possible) and fills out all supported location information.</li>
 <li>Later on, <code>save()</code> can be called. This method now has sufficient
 information to store the file at the correct location.</li>
 </ul>
 <p>
 When loading or saving a <code>FileBased</code> object some additional
 functionality is performed if the object implements one of the following
 interfaces:
 </p>
 <ul>
 <li><code>FileLocatorAware</code>: In this case an object with the current file
 location is injected before the load or save operation is executed. This is
 useful for <code>FileBased</code> objects that depend on their current location,
 e.g. to resolve relative path names.</li>
 <li><code>SynchronizerSupport</code>: If this interface is implemented, load and
 save operations obtain a write lock on the <code>FileBased</code> object before
 they access it. (In case of a save operation, a read lock would probably be
 sufficient, but because of the possible injection of a <a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io"><code>FileLocator</code></a>
 object it is not allowed to perform multiple save operations in parallel;
 therefore, by obtaining a write lock, we are on the safe side.)</li>
 </ul>
 <p>
 This class is thread-safe.
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>2.0</dd>
<dt><span class="simpleTagLabel">Version:</span></dt>
<dd>$Id: FileHandler.java 1790899 2017-04-10 21:56:46Z ggregory $</dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#FileHandler--">FileHandler</a></span>()</code>
<div class="block">Creates a new instance of <code>FileHandler</code> which is not associated
 with a <code>FileBased</code> object and thus does not have a content.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#FileHandler-org.apache.commons.configuration2.io.FileBased-">FileHandler</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileBased.html" title="interface in org.apache.commons.configuration2.io">FileBased</a>&nbsp;obj)</code>
<div class="block">Creates a new instance of <code>FileHandler</code> and sets the managed
 <code>FileBased</code> object.</div>
</td>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#FileHandler-org.apache.commons.configuration2.io.FileBased-org.apache.commons.configuration2.io.FileHandler-">FileHandler</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileBased.html" title="interface in org.apache.commons.configuration2.io">FileBased</a>&nbsp;obj,
           <a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;c)</code>
<div class="block">Creates a new instance of <code>FileHandler</code> which is associated with
 the given <code>FileBased</code> object and the location defined for the given
 <code>FileHandler</code> object.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t1" class="tableTab"><span><a href="javascript:show(1);">Static Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#addFileHandlerListener-org.apache.commons.configuration2.io.FileHandlerListener-">addFileHandlerListener</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html" title="interface in org.apache.commons.configuration2.io">FileHandlerListener</a>&nbsp;l)</code>
<div class="block">Adds a listener to this <code>FileHandler</code>.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#clearLocation--">clearLocation</a></span>()</code>
<div class="block">Clears the location of this <code>FileHandler</code>.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>static <a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#fromMap-java.util.Map-">fromMap</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;map)</code>
<div class="block">Creates a new <code>FileHandler</code> instance from properties stored in a
 map.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#getBasePath--">getBasePath</a></span>()</code>
<div class="block">Return the base path.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/io/FileBased.html" title="interface in org.apache.commons.configuration2.io">FileBased</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#getContent--">getContent</a></span>()</code>
<div class="block">Returns the <code>FileBased</code> object associated with this
 <code>FileHandler</code>.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#getEncoding--">getEncoding</a></span>()</code>
<div class="block">Returns the encoding of the associated file.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#getFile--">getFile</a></span>()</code>
<div class="block">Returns the location of the associated file as a <code>File</code> object.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#getFileLocator--">getFileLocator</a></span>()</code>
<div class="block">Returns a <code>FileLocator</code> object with the specification of the file
 stored by this <code>FileHandler</code>.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#getFileName--">getFileName</a></span>()</code>
<div class="block">Return the name of the file.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#getFileSystem--">getFileSystem</a></span>()</code>
<div class="block">Returns the <code>FileSystem</code> to be used by this object when locating
 files.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code><a href="../../../../../org/apache/commons/configuration2/io/FileLocationStrategy.html" title="interface in org.apache.commons.configuration2.io">FileLocationStrategy</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#getLocationStrategy--">getLocationStrategy</a></span>()</code>
<div class="block">Returns the <code>FileLocationStrategy</code> to be applied when accessing the
 associated file.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#getPath--">getPath</a></span>()</code>
<div class="block">Returns the full path to the associated file.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code><a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#getURL--">getURL</a></span>()</code>
<div class="block">Returns the location of the associated file as a URL.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#isLocationDefined--">isLocationDefined</a></span>()</code>
<div class="block">Tests whether a location is defined for this <code>FileHandler</code>.</div>
</td>
</tr>
<tr id="i14" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#load--">load</a></span>()</code>
<div class="block">Loads the associated file from the underlying location.</div>
</td>
</tr>
<tr id="i15" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#load-java.io.File-">load</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">Loads the associated file from the specified <code>File</code>.</div>
</td>
</tr>
<tr id="i16" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#load-java.io.InputStream-">load</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;in)</code>
<div class="block">Loads the associated file from the specified stream, using the encoding
 returned by <a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#getEncoding--"><code>getEncoding()</code></a>.</div>
</td>
</tr>
<tr id="i17" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#load-java.io.InputStream-java.lang.String-">load</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;in,
    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</code>
<div class="block">Loads the associated file from the specified stream, using the specified
 encoding.</div>
</td>
</tr>
<tr id="i18" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#load-java.io.Reader-">load</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)</code>
<div class="block">Loads the associated file from the specified reader.</div>
</td>
</tr>
<tr id="i19" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#load-java.lang.String-">load</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName)</code>
<div class="block">Loads the associated file from the given file name.</div>
</td>
</tr>
<tr id="i20" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#load-java.net.URL-">load</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Loads the associated file from the specified URL.</div>
</td>
</tr>
<tr id="i21" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#locate--">locate</a></span>()</code>
<div class="block">Locates the referenced file if necessary and ensures that the associated
 <a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io"><code>FileLocator</code></a> is fully initialized.</div>
</td>
</tr>
<tr id="i22" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#removeFileHandlerListener-org.apache.commons.configuration2.io.FileHandlerListener-">removeFileHandlerListener</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html" title="interface in org.apache.commons.configuration2.io">FileHandlerListener</a>&nbsp;l)</code>
<div class="block">Removes the specified listener from this object.</div>
</td>
</tr>
<tr id="i23" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#resetFileSystem--">resetFileSystem</a></span>()</code>
<div class="block">Resets the <code>FileSystem</code> used by this object.</div>
</td>
</tr>
<tr id="i24" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#save--">save</a></span>()</code>
<div class="block">Saves the associated file to the current location set for this object.</div>
</td>
</tr>
<tr id="i25" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#save-java.io.File-">save</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">Saves the associated file to the specified <code>File</code>.</div>
</td>
</tr>
<tr id="i26" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#save-java.io.OutputStream-">save</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;out)</code>
<div class="block">Saves the associated file to the specified stream using the encoding
 returned by <a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#getEncoding--"><code>getEncoding()</code></a>.</div>
</td>
</tr>
<tr id="i27" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#save-java.io.OutputStream-java.lang.String-">save</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;out,
    <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</code>
<div class="block">Saves the associated file to the specified stream using the specified
 encoding.</div>
</td>
</tr>
<tr id="i28" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#save-java.lang.String-">save</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName)</code>
<div class="block">Saves the associated file to the specified file name.</div>
</td>
</tr>
<tr id="i29" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#save-java.net.URL-">save</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Saves the associated file to the specified URL.</div>
</td>
</tr>
<tr id="i30" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#save-java.io.Writer-">save</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out)</code>
<div class="block">Saves the associated file to the given <code>Writer</code>.</div>
</td>
</tr>
<tr id="i31" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#setBasePath-java.lang.String-">setBasePath</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;basePath)</code>
<div class="block">Sets the base path.</div>
</td>
</tr>
<tr id="i32" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#setEncoding-java.lang.String-">setEncoding</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</code>
<div class="block">Sets the encoding of the associated file.</div>
</td>
</tr>
<tr id="i33" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#setFile-java.io.File-">setFile</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</code>
<div class="block">Sets the location of the associated file as a <code>File</code> object.</div>
</td>
</tr>
<tr id="i34" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#setFileLocator-org.apache.commons.configuration2.io.FileLocator-">setFileLocator</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</code>
<div class="block">Sets the file to be accessed by this <code>FileHandler</code> as a
 <code>FileLocator</code> object.</div>
</td>
</tr>
<tr id="i35" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#setFileName-java.lang.String-">setFileName</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName)</code>
<div class="block">Set the name of the file.</div>
</td>
</tr>
<tr id="i36" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#setFileSystem-org.apache.commons.configuration2.io.FileSystem-">setFileSystem</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem)</code>
<div class="block">Sets the <code>FileSystem</code> to be used by this object when locating
 files.</div>
</td>
</tr>
<tr id="i37" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#setLocationStrategy-org.apache.commons.configuration2.io.FileLocationStrategy-">setLocationStrategy</a></span>(<a href="../../../../../org/apache/commons/configuration2/io/FileLocationStrategy.html" title="interface in org.apache.commons.configuration2.io">FileLocationStrategy</a>&nbsp;strategy)</code>
<div class="block">Sets the <code>FileLocationStrategy</code> to be applied when accessing the
 associated file.</div>
</td>
</tr>
<tr id="i38" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#setPath-java.lang.String-">setPath</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</code>
<div class="block">Sets the location of the associated file as a full or relative path name.</div>
</td>
</tr>
<tr id="i39" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#setURL-java.net.URL-">setURL</a></span>(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</code>
<div class="block">Sets the location of the associated file as a URL.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="FileHandler--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FileHandler</h4>
<pre>public&nbsp;FileHandler()</pre>
<div class="block">Creates a new instance of <code>FileHandler</code> which is not associated
 with a <code>FileBased</code> object and thus does not have a content. Objects
 of this kind can be used to define a file location, but it is not
 possible to actually load or save data.</div>
</li>
</ul>
<a name="FileHandler-org.apache.commons.configuration2.io.FileBased-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>FileHandler</h4>
<pre>public&nbsp;FileHandler(<a href="../../../../../org/apache/commons/configuration2/io/FileBased.html" title="interface in org.apache.commons.configuration2.io">FileBased</a>&nbsp;obj)</pre>
<div class="block">Creates a new instance of <code>FileHandler</code> and sets the managed
 <code>FileBased</code> object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>obj</code> - the file-based object to manage</dd>
</dl>
</li>
</ul>
<a name="FileHandler-org.apache.commons.configuration2.io.FileBased-org.apache.commons.configuration2.io.FileHandler-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>FileHandler</h4>
<pre>public&nbsp;FileHandler(<a href="../../../../../org/apache/commons/configuration2/io/FileBased.html" title="interface in org.apache.commons.configuration2.io">FileBased</a>&nbsp;obj,
                   <a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;c)</pre>
<div class="block">Creates a new instance of <code>FileHandler</code> which is associated with
 the given <code>FileBased</code> object and the location defined for the given
 <code>FileHandler</code> object. A copy of the location of the given
 <code>FileHandler</code> is created. This constructor is a possibility to
 associate a file location with a <code>FileBased</code> object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>obj</code> - the <code>FileBased</code> object to manage</dd>
<dd><code>c</code> - the <code>FileHandler</code> from which to copy the location (must
        not be <b>null</b>)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the <code>FileHandler</code> is
         <b>null</b></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="fromMap-java.util.Map-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>fromMap</h4>
<pre>public static&nbsp;<a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html" title="class in org.apache.commons.configuration2.io">FileHandler</a>&nbsp;fromMap(<a href="http://docs.oracle.com/javase/7/docs/api/java/util/Map.html?is-external=true" title="class or interface in java.util">Map</a>&lt;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>,?&gt;&nbsp;map)</pre>
<div class="block">Creates a new <code>FileHandler</code> instance from properties stored in a
 map. This method tries to extract a <a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io"><code>FileLocator</code></a> from the map. A
 new <code>FileHandler</code> is created based on this <code>FileLocator</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>map</code> - the map (may be <b>null</b>)</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the newly created <code>FileHandler</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#fromMap-java.util.Map-"><code>FileLocatorUtils.fromMap(Map)</code></a></dd>
</dl>
</li>
</ul>
<a name="getContent--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getContent</h4>
<pre>public final&nbsp;<a href="../../../../../org/apache/commons/configuration2/io/FileBased.html" title="interface in org.apache.commons.configuration2.io">FileBased</a>&nbsp;getContent()</pre>
<div class="block">Returns the <code>FileBased</code> object associated with this
 <code>FileHandler</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the associated <code>FileBased</code> object</dd>
</dl>
</li>
</ul>
<a name="addFileHandlerListener-org.apache.commons.configuration2.io.FileHandlerListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addFileHandlerListener</h4>
<pre>public&nbsp;void&nbsp;addFileHandlerListener(<a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html" title="interface in org.apache.commons.configuration2.io">FileHandlerListener</a>&nbsp;l)</pre>
<div class="block">Adds a listener to this <code>FileHandler</code>. It is notified about
 property changes and IO operations.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>l</code> - the listener to be added (must not be <b>null</b>)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the listener is <b>null</b></dd>
</dl>
</li>
</ul>
<a name="removeFileHandlerListener-org.apache.commons.configuration2.io.FileHandlerListener-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>removeFileHandlerListener</h4>
<pre>public&nbsp;void&nbsp;removeFileHandlerListener(<a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html" title="interface in org.apache.commons.configuration2.io">FileHandlerListener</a>&nbsp;l)</pre>
<div class="block">Removes the specified listener from this object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>l</code> - the listener to be removed</dd>
</dl>
</li>
</ul>
<a name="getFileName--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileName</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getFileName()</pre>
<div class="block">Return the name of the file. If only a URL is defined, the file name
 is derived from there.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the file name</dd>
</dl>
</li>
</ul>
<a name="setFileName-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFileName</h4>
<pre>public&nbsp;void&nbsp;setFileName(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName)</pre>
<div class="block">Set the name of the file. The passed in file name can contain a relative
 path. It must be used when referring files with relative paths from
 classpath. Use <code>setPath()</code> to set a full qualified file name. The
 URL is set to <b>null</b> as it has to be determined anew based on the
 file name and the base path.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fileName</code> - the name of the file</dd>
</dl>
</li>
</ul>
<a name="getBasePath--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBasePath</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getBasePath()</pre>
<div class="block">Return the base path. If no base path is defined, but a URL, the base
 path is derived from there.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the base path</dd>
</dl>
</li>
</ul>
<a name="setBasePath-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setBasePath</h4>
<pre>public&nbsp;void&nbsp;setBasePath(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;basePath)</pre>
<div class="block">Sets the base path. The base path is typically either a path to a
 directory or a URL. Together with the value passed to the
 <code>setFileName()</code> method it defines the location of the configuration
 file to be loaded. The strategies for locating the file are quite
 tolerant. For instance if the file name is already an absolute path or a
 fully defined URL, the base path will be ignored. The base path can also
 be a URL, in which case the file name is interpreted in this URL's
 context. If other methods are used for determining the location of the
 associated file (e.g. <code>setFile()</code> or <code>setURL()</code>), the base
 path is automatically set. Setting the base path using this method
 automatically sets the URL to <b>null</b> because it has to be
 determined anew based on the file name and the base path.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>basePath</code> - the base path.</dd>
</dl>
</li>
</ul>
<a name="getFile--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFile</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;getFile()</pre>
<div class="block">Returns the location of the associated file as a <code>File</code> object. If
 the base path is a URL with a protocol different than &quot;file&quot;,
 or the file is within a compressed archive, the return value will not
 point to a valid file object.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the location as <code>File</code> object; this can be <b>null</b></dd>
</dl>
</li>
</ul>
<a name="setFile-java.io.File-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFile</h4>
<pre>public&nbsp;void&nbsp;setFile(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)</pre>
<div class="block">Sets the location of the associated file as a <code>File</code> object. The
 passed in <code>File</code> is made absolute if it is not yet. Then the file's
 path component becomes the base path and its name component becomes the
 file name.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - the location of the associated file</dd>
</dl>
</li>
</ul>
<a name="getPath--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getPath</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getPath()</pre>
<div class="block">Returns the full path to the associated file. The return value is a valid
 <code>File</code> path only if this location is based on a file on the local
 disk. If the file was loaded from a packed archive, the returned value is
 the string form of the URL from which the file was loaded.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the full path to the associated file</dd>
</dl>
</li>
</ul>
<a name="setPath-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setPath</h4>
<pre>public&nbsp;void&nbsp;setPath(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;path)</pre>
<div class="block">Sets the location of the associated file as a full or relative path name.
 The passed in path should represent a valid file name on the file system.
 It must not be used to specify relative paths for files that exist in
 classpath, either plain file system or compressed archive, because this
 method expands any relative path to an absolute one which may end in an
 invalid absolute path for classpath references.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>path</code> - the full path name of the associated file</dd>
</dl>
</li>
</ul>
<a name="getURL--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getURL</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;getURL()</pre>
<div class="block">Returns the location of the associated file as a URL. If a URL is set,
 it is directly returned. Otherwise, an attempt to locate the referenced
 file is made.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a URL to the associated file; can be <b>null</b> if the location
         is unspecified</dd>
</dl>
</li>
</ul>
<a name="setURL-java.net.URL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setURL</h4>
<pre>public&nbsp;void&nbsp;setURL(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)</pre>
<div class="block">Sets the location of the associated file as a URL. For loading this can
 be an arbitrary URL with a supported protocol. If the file is to be
 saved, too, a URL with the &quot;file&quot; protocol should be provided.
 This method sets the file name and the base path to <b>null</b>.
 They have to be determined anew based on the new URL.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - the location of the file as URL</dd>
</dl>
</li>
</ul>
<a name="getFileLocator--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileLocator</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;getFileLocator()</pre>
<div class="block">Returns a <code>FileLocator</code> object with the specification of the file
 stored by this <code>FileHandler</code>. Note that this method returns the
 internal data managed by this <code>FileHandler</code> as it was defined.
 This is not necessarily the same as the data returned by the single
 access methods like <code>getFileName()</code> or <code>getURL()</code>: These
 methods try to derive missing data from other values that have been set.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a <code>FileLocator</code> with the referenced file</dd>
</dl>
</li>
</ul>
<a name="setFileLocator-org.apache.commons.configuration2.io.FileLocator-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFileLocator</h4>
<pre>public&nbsp;void&nbsp;setFileLocator(<a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io">FileLocator</a>&nbsp;locator)</pre>
<div class="block">Sets the file to be accessed by this <code>FileHandler</code> as a
 <code>FileLocator</code> object.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>locator</code> - the <code>FileLocator</code> with the definition of the file to
        be accessed (must not be <b>null</b></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="http://docs.oracle.com/javase/7/docs/api/java/lang/IllegalArgumentException.html?is-external=true" title="class or interface in java.lang">IllegalArgumentException</a></code> - if the <code>FileLocator</code> is
         <b>null</b></dd>
</dl>
</li>
</ul>
<a name="isLocationDefined--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>isLocationDefined</h4>
<pre>public&nbsp;boolean&nbsp;isLocationDefined()</pre>
<div class="block">Tests whether a location is defined for this <code>FileHandler</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd><b>true</b> if a location is defined, <b>false</b> otherwise</dd>
</dl>
</li>
</ul>
<a name="clearLocation--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>clearLocation</h4>
<pre>public&nbsp;void&nbsp;clearLocation()</pre>
<div class="block">Clears the location of this <code>FileHandler</code>. Afterwards this handler
 does not point to any valid file.</div>
</li>
</ul>
<a name="getEncoding--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getEncoding</h4>
<pre>public&nbsp;<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;getEncoding()</pre>
<div class="block">Returns the encoding of the associated file. Result can be <b>null</b> if
 no encoding has been set.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the encoding of the associated file</dd>
</dl>
</li>
</ul>
<a name="setEncoding-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setEncoding</h4>
<pre>public&nbsp;void&nbsp;setEncoding(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)</pre>
<div class="block">Sets the encoding of the associated file. The encoding applies if binary
 files are loaded. Note that in this case setting an encoding is
 recommended; otherwise the platform's default encoding is used.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>encoding</code> - the encoding of the associated file</dd>
</dl>
</li>
</ul>
<a name="getFileSystem--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getFileSystem</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;getFileSystem()</pre>
<div class="block">Returns the <code>FileSystem</code> to be used by this object when locating
 files. Result is never <b>null</b>; if no file system has been set, the
 default file system is returned.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the used <code>FileSystem</code></dd>
</dl>
</li>
</ul>
<a name="setFileSystem-org.apache.commons.configuration2.io.FileSystem-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setFileSystem</h4>
<pre>public&nbsp;void&nbsp;setFileSystem(<a href="../../../../../org/apache/commons/configuration2/io/FileSystem.html" title="class in org.apache.commons.configuration2.io">FileSystem</a>&nbsp;fileSystem)</pre>
<div class="block">Sets the <code>FileSystem</code> to be used by this object when locating
 files. If a <b>null</b> value is passed in, the file system is reset to
 the default file system.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fileSystem</code> - the <code>FileSystem</code></dd>
</dl>
</li>
</ul>
<a name="resetFileSystem--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>resetFileSystem</h4>
<pre>public&nbsp;void&nbsp;resetFileSystem()</pre>
<div class="block">Resets the <code>FileSystem</code> used by this object. It is set to the
 default file system.</div>
</li>
</ul>
<a name="getLocationStrategy--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getLocationStrategy</h4>
<pre>public&nbsp;<a href="../../../../../org/apache/commons/configuration2/io/FileLocationStrategy.html" title="interface in org.apache.commons.configuration2.io">FileLocationStrategy</a>&nbsp;getLocationStrategy()</pre>
<div class="block">Returns the <code>FileLocationStrategy</code> to be applied when accessing the
 associated file. This method never returns <b>null</b>. If a
 <code>FileLocationStrategy</code> has been set, it is returned. Otherwise,
 result is the default <code>FileLocationStrategy</code>.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>the <code>FileLocationStrategy</code> to be used</dd>
</dl>
</li>
</ul>
<a name="setLocationStrategy-org.apache.commons.configuration2.io.FileLocationStrategy-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setLocationStrategy</h4>
<pre>public&nbsp;void&nbsp;setLocationStrategy(<a href="../../../../../org/apache/commons/configuration2/io/FileLocationStrategy.html" title="interface in org.apache.commons.configuration2.io">FileLocationStrategy</a>&nbsp;strategy)</pre>
<div class="block">Sets the <code>FileLocationStrategy</code> to be applied when accessing the
 associated file. The strategy is stored in the underlying
 <a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io"><code>FileLocator</code></a>. The argument can be <b>null</b>; this causes the
 default <code>FileLocationStrategy</code> to be used.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>strategy</code> - the <code>FileLocationStrategy</code></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#DEFAULT_LOCATION_STRATEGY"><code>FileLocatorUtils.DEFAULT_LOCATION_STRATEGY</code></a></dd>
</dl>
</li>
</ul>
<a name="locate--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>locate</h4>
<pre>public&nbsp;boolean&nbsp;locate()</pre>
<div class="block">Locates the referenced file if necessary and ensures that the associated
 <a href="../../../../../org/apache/commons/configuration2/io/FileLocator.html" title="class in org.apache.commons.configuration2.io"><code>FileLocator</code></a> is fully initialized. When accessing the referenced
 file the information stored in the associated <code>FileLocator</code> is
 used. If this information is incomplete (e.g. only the file name is set),
 an attempt to locate the file may have to be performed on each access. By
 calling this method such an attempt is performed once, and the results of
 a successful localization are stored. Hence, later access to the
 referenced file can be more efficient. Also, all properties pointing to
 the referenced file in this object's <code>FileLocator</code> are set (i.e.
 the URL, the base path, and the file name). If the referenced file cannot
 be located, result is <b>false</b>. This means that the information in
 the current <code>FileLocator</code> is insufficient or wrong. If the
 <code>FileLocator</code> is already fully defined, it is not changed.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>a flag whether the referenced file could be located successfully</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../org/apache/commons/configuration2/io/FileLocatorUtils.html#fullyInitializedLocator-org.apache.commons.configuration2.io.FileLocator-"><code>FileLocatorUtils.fullyInitializedLocator(FileLocator)</code></a></dd>
</dl>
</li>
</ul>
<a name="load--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>load</h4>
<pre>public&nbsp;void&nbsp;load()
          throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Loads the associated file from the underlying location. If no location
 has been set, an exception is thrown.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if loading of the configuration fails</dd>
</dl>
</li>
</ul>
<a name="load-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>load</h4>
<pre>public&nbsp;void&nbsp;load(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName)
          throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Loads the associated file from the given file name. The file name is
 interpreted in the context of the already set location (e.g. if it is a
 relative file name, a base path is applied if available). The underlying
 location is not changed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fileName</code> - the name of the file to be loaded</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
<a name="load-java.io.File-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>load</h4>
<pre>public&nbsp;void&nbsp;load(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)
          throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Loads the associated file from the specified <code>File</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - the file to load</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
<a name="load-java.net.URL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>load</h4>
<pre>public&nbsp;void&nbsp;load(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)
          throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Loads the associated file from the specified URL. The location stored in
 this object is not changed.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - the URL of the file to be loaded</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs</dd>
</dl>
</li>
</ul>
<a name="load-java.io.InputStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>load</h4>
<pre>public&nbsp;void&nbsp;load(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;in)
          throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Loads the associated file from the specified stream, using the encoding
 returned by <a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#getEncoding--"><code>getEncoding()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>in</code> - the input stream</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs during the load
         operation</dd>
</dl>
</li>
</ul>
<a name="load-java.io.InputStream-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>load</h4>
<pre>public&nbsp;void&nbsp;load(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/InputStream.html?is-external=true" title="class or interface in java.io">InputStream</a>&nbsp;in,
                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)
          throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Loads the associated file from the specified stream, using the specified
 encoding. If the encoding is <b>null</b>, the default encoding is used.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>in</code> - the input stream</dd>
<dd><code>encoding</code> - the encoding used, <code>null</code> to use the default
        encoding</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs during the load
         operation</dd>
</dl>
</li>
</ul>
<a name="load-java.io.Reader-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>load</h4>
<pre>public&nbsp;void&nbsp;load(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Reader.html?is-external=true" title="class or interface in java.io">Reader</a>&nbsp;in)
          throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Loads the associated file from the specified reader.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>in</code> - the reader</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs during the load
         operation</dd>
</dl>
</li>
</ul>
<a name="save--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save()
          throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Saves the associated file to the current location set for this object.
 Before this method can be called a valid location must have been set.</div>
<dl>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs or no location has been
         set yet</dd>
</dl>
</li>
</ul>
<a name="save-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save(<a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;fileName)
          throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Saves the associated file to the specified file name. This does not
 change the location of this object (use <a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#setFileName-java.lang.String-"><code>setFileName(String)</code></a> if
 you need it).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>fileName</code> - the file name</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs during the save
         operation</dd>
</dl>
</li>
</ul>
<a name="save-java.net.URL-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save(<a href="http://docs.oracle.com/javase/7/docs/api/java/net/URL.html?is-external=true" title="class or interface in java.net">URL</a>&nbsp;url)
          throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Saves the associated file to the specified URL. This does not change the
 location of this object (use <a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#setURL-java.net.URL-"><code>setURL(URL)</code></a> if you need it).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>url</code> - the URL</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs during the save
         operation</dd>
</dl>
</li>
</ul>
<a name="save-java.io.File-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/File.html?is-external=true" title="class or interface in java.io">File</a>&nbsp;file)
          throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Saves the associated file to the specified <code>File</code>. The file is
 created automatically if it doesn't exist. This does not change the
 location of this object (use <a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#setFile-java.io.File-"><code>setFile(java.io.File)</code></a> if you need it).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>file</code> - the target file</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs during the save
         operation</dd>
</dl>
</li>
</ul>
<a name="save-java.io.OutputStream-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;out)
          throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Saves the associated file to the specified stream using the encoding
 returned by <a href="../../../../../org/apache/commons/configuration2/io/FileHandler.html#getEncoding--"><code>getEncoding()</code></a>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>out</code> - the output stream</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs during the save
         operation</dd>
</dl>
</li>
</ul>
<a name="save-java.io.OutputStream-java.lang.String-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/OutputStream.html?is-external=true" title="class or interface in java.io">OutputStream</a>&nbsp;out,
                 <a href="http://docs.oracle.com/javase/7/docs/api/java/lang/String.html?is-external=true" title="class or interface in java.lang">String</a>&nbsp;encoding)
          throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Saves the associated file to the specified stream using the specified
 encoding. If the encoding is <b>null</b>, the default encoding is used.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>out</code> - the output stream</dd>
<dd><code>encoding</code> - the encoding to be used, <code>null</code> to use the default
        encoding</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs during the save
         operation</dd>
</dl>
</li>
</ul>
<a name="save-java.io.Writer-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>save</h4>
<pre>public&nbsp;void&nbsp;save(<a href="http://docs.oracle.com/javase/7/docs/api/java/io/Writer.html?is-external=true" title="class or interface in java.io">Writer</a>&nbsp;out)
          throws <a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></pre>
<div class="block">Saves the associated file to the given <code>Writer</code>.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>out</code> - the <code>Writer</code></dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../org/apache/commons/configuration2/ex/ConfigurationException.html" title="class in org.apache.commons.configuration2.ex">ConfigurationException</a></code> - if an error occurs during the save
         operation</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="class-use/FileHandler.html">Use</a></li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../org/apache/commons/configuration2/io/FileBased.html" title="interface in org.apache.commons.configuration2.io"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../org/apache/commons/configuration2/io/FileHandlerListener.html" title="interface in org.apache.commons.configuration2.io"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?org/apache/commons/configuration2/io/FileHandler.html" target="_top">Frames</a></li>
<li><a href="FileHandler.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2001&#x2013;2017 <a href="https://www.apache.org/">The Apache Software Foundation</a>. All rights reserved.</small></p>
</body>
</html>
